<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css"
          integrity="sha384-HSMxcRTRxnN+Bdg0JdbxYKrThecOKuH5zCYotlSAcp1+c8xmyTe9GYg1l9a69psu" crossorigin="anonymous">
    <title>
        {% block title %}

        {% endblock %} | Flask app
    </title>
</head>
<body>
    <nav class="navbar navbar-default">
      <div class="container-fluid">
        <!-- Brand and toggle get grouped for better mobile display -->
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="{{ url_for('index') }}">Flask</a>
        </div>

        <!-- Collect the nav links, forms, and other content for toggling -->
        <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
          <ul class="nav navbar-nav">
            <li class="active"><a href="{{ url_for('posts.index') }}">Blog<span class="sr-only">(current)</span></a></li>
            <li><a href="#">Link</a></li>
          </ul>

          <form class="navbar-form navbar-left" method="GET">
            <div class="form-group">
              <input type="text" class="form-control" placeholder="Search" name="q" value="{{ request.args.get('q', '') }}">
            </div>
            <button type="submit" class="btn btn-default">Submit</button>
          </form>

          <ul class="nav navbar-nav navbar-right">
<!--            <li><a href="{{ url_for('posts.create_post') }}">New post</a></li>-->
              <li>
                  {% if current_user.has_role('admin') %}
                  <a href="/admin">Admin</a>
                  {% endif %}
              </li>
          </ul>
        </div><!-- /.navbar-collapse -->
      </div><!-- /.container-fluid -->
    </nav>

    <div class="container">
        <h1>
            {% block content_title %}

            {% endblock %}
        </h1>
        <div class="row">
            {% block content %}

            {% endblock %}
        </div>
    </div>
</body>
</html>